package com.ruoyi.bst.prodProcess.domain;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.math.RoundingMode;

/**
 * @author wjh
 * 2024/12/17
 */
@Data
public class ProdProcessVO extends ProdProcess{

    @ApiModelProperty("订单ID")
    private Long orderId;

    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("订单状态")
    private String orderStatus;

    @ApiModelProperty("订单图片")
    private String orderPicture;

    @ApiModelProperty("生产车间名称")
    private String deptName;

    @ApiModelProperty("订单产品名称")
    private String orderProdName;

    @ApiModelProperty("产品图片")
    private String orderProdPicture;

    @ApiModelProperty("总上报数")
    private BigDecimal reportNum;

    @ApiModelProperty("有效清点数")
    private BigDecimal storeNum;

    @Excel(name = "处理方式")
    @ApiModelProperty("处理方式")
    private String handleWay;

    @Excel(name = "效果")
    @ApiModelProperty("效果")
    private String effect;

    @Excel(name = "颜色")
    @ApiModelProperty("颜色")
    private String color;

    @Excel(name = "盖子颜色")
    @ApiModelProperty("盖子颜色")
    private String coverColor;

    @ApiModelProperty("进度")
    public BigDecimal getProgress() {
        if (this.storeNum == null || this.getNum() == null) {
            return BigDecimal.ZERO;
        }
        return this.storeNum
                .multiply(new BigDecimal(100))
                .divide(this.getNum(), 2, RoundingMode.HALF_UP);
    }

}
