package com.ruoyi.bst.prodProcess.service.impl;

import com.ruoyi.bst.prodProcess.domain.ProdProcessBO;
import com.ruoyi.bst.prodProcess.service.ProdProcessConverter;
import com.ruoyi.common.utils.collection.CollectionUtils;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * @author wjh
 * 2024/12/17
 */
@Service
public class ProdProcessConverterImpl implements ProdProcessConverter {
    @Override
    public List<ProdProcessBO> toBOListByCreate(List<ProdProcessBO> list) {
        if (CollectionUtils.isEmptyElement(list)) {
            return Collections.emptyList();
        }

        List<ProdProcessBO> boList = new ArrayList<>();

        for (ProdProcessBO process : list) {
            ProdProcessBO bo = new ProdProcessBO();
            bo.setDeptId(process.getDeptId());
            bo.setNum(process.getNum());
            bo.setIsEnd(process.getIsEnd());
            bo.setSort(process.getSort());
            bo.setDeptProcess(process.getDeptProcess());
            bo.setRemark(process.getRemark());
            boList.add(bo);
        }

        return boList;
    }

    @Override
    public List<ProdProcessBO> toBOListByUpdate(List<ProdProcessBO> list) {
        if (CollectionUtils.isEmptyElement(list)) {
            return Collections.emptyList();
        }

        List<ProdProcessBO> boList = new ArrayList<>();

        for (ProdProcessBO process : list) {
            ProdProcessBO bo = new ProdProcessBO();
            bo.setId(process.getId());
            bo.setDeptId(process.getDeptId());
            bo.setNum(process.getNum());
            bo.setIsEnd(process.getIsEnd());
            bo.setSort(process.getSort());
            bo.setDeptProcess(process.getDeptProcess());
            bo.setRemark(process.getRemark());
            boList.add(bo);
        }

        return boList;
    }
}
