package com.ruoyi.bst.store.service.impl;

import com.ruoyi.bst.store.domain.Store;
import com.ruoyi.bst.store.domain.StoreVO;
import com.ruoyi.bst.store.domain.enums.StoreStatus;
import com.ruoyi.bst.store.service.StoreConverter;
import com.ruoyi.common.core.domain.entity.SysUser;
import org.springframework.stereotype.Service;

/**
 * @author wjh
 * 2024/12/20
 */
@Service
public class StoreConverterImpl implements StoreConverter {


    @Override
    public Store toPOByCreate(StoreVO vo, SysUser user) {
        if (vo == null) {
            return null;
        }
        Store po = new Store();
        po.setProcessId(vo.getProcessId());
        po.setNum(vo.getNum());
        po.setRemark(vo.getRemark());
        po.setStatus(StoreStatus.WAIT_STORE.getStatus());
        if (user != null) {
            po.setCreateId(user.getUserId());
            po.setCreateBy(user.getNickName());
        }

        return po;
    }
}
